Package Details: rtl8814au-dkms-git 4.3.21.r34.ga0c4479-2

Git Clone URL: https://aur.archlinux.org/rtl8814au-dkms-git.git (read-only)
Package Base: rtl8814au-dkms-git
Description: RTL8814AU and RTL8813AU chipset driver with firmware v4.3.21
Upstream URL: https://github.com/zebulon2/rtl8814au
Licenses: GPL2
Conflicts: rtl8814au
Submitter: zebulon
Maintainer: zebulon
Last Packager: erkexzcx
Votes: 16
Popularity: 0.034528
First Submitted: 2017-09-18 20:21
Last Updated: 2018-08-19 22:11

Dependencies (3)

Required by (0)

Sources (3)

Pinned Comments

zebulon commented on 2019-10-01 06:19

To all having an issue with this driver: please try https://aur.archlinux.org/packages/rtl88xxau-aircrack-dkms-git alternatively.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

zebulon commented on 2019-01-23 12:49

@SeeLook: well, the number of devices is extremely high, and it is impossible to list them all or to keep the list complete. There are other resources for this, such as https://wikidevi.com. What is really important is the chipset (8812, 8814, 8821, etc.) A lot of people mistakenly use the wrong driver due to the fact they do not identify correctly their chipset. The Arch wiki section on rtl88xxau on the WiFi page is very helpful in that sense. Finally, a list of hardware IDs can be found in the driver code in file /os_dep/linux/usb_intf.c.

SeeLook commented on 2019-01-23 11:01

Hi,

Just for information. This is only one among many AUR packages I'v tried that works with Tp-Link T9UH adapter (id 2357:0106), so it would be good to have supported devices listed somewhere close to it, otherwise it is really hard to find proper driver.

Still resume from suspend kills the device.

Gatenkaas commented on 2019-01-03 16:40

Building and working perfectly, thank you!

zebulon commented on 2019-01-03 05:34

I just merged the patch for kernel 4.20, please let me know if that works.

Gatenkaas commented on 2018-12-28 18:48

With kernel 4.20 the driver does not compile due to the following error: "rtl8814au-master/os_dep/linux/ioctl_cfg80211.c:352:2: error: implicit declaration of function ‘get_monotonic_boottime’; did you mean ‘getboottime’? [-Werror=implicit-function-declaration] get_monotonic_boottime(&ts); " See line 351 en 352: struct timespec ts; get_monotonic_boottime(&ts);

This is caused by the deprecation of "get_monotonic_boottime" in kernel 4.20. See https://www.kernel.org/doc/html/latest/core-api/timekeeping.html under "Deprecated time interfaces".

If you change the lines in ioctl_cfg80211.c to:

351 struct timespec64 ts; 352 ktime_get_boottime_ts64(&ts);

..then it compiles without errors. However I am not a developer.

zebulon commented on 2018-10-30 19:07

The 4.19 patches have now been merged, you can re-run the script (I did not update the PKGBUILD though).

zebulon commented on 2018-10-29 12:21

@dobedobedo: thanks, I will merge asap.

dobedobedo commented on 2018-10-27 13:48

Hi, just found that the project which the source forked from added the support to kernel 4.19.
https://github.com/tpircher/rtl8814AU
I changed the download source and the folder name to rtl8814AU and it works.

dobedobedo commented on 2018-10-27 06:11

Hi, I failed to install this driver on kernel 4.19. It showed the error message:
Error! Bad return status for module build on kernel: 4.19.0-2-MANJARO (x86_64)
Consult /var/lib/dkms/rtl8814au/4.3.21.r34.ga0c4479/build/make.log for more information.
However, there is no such a log file.

zebulon commented on 2018-09-04 19:05

Looking at the comments on Github aircrack, there seem to be some limitations with 5.3.4, the biggest one being the lack of VHT support and maximum speed of 150 Mb/s. Let's wait a bit before packaging it.